// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package cmd

import (
	"fmt"
	"strings"

	"xbus.io/go-xbus/v4/api/control"

	"xbus.io/xbus/utils"
)

// FmtStorageStat formats a StorageStat
func FmtStorageStat(stat *control.StorageStat) string {
	list := []string{}
	for _, entry := range stat.Entries {
		list = append(
			list,
			fmt.Sprintf("%s:\n    implementation: %s\n    count: %d\n    estimated size: %s\n",
				entry.Name,
				entry.Implementation,
				entry.Count,
				utils.ByteCountBinaryUInt64(entry.EstimatedSize),
			))
	}
	return strings.Join(list, "\n")
}
