// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package cmd

import (
	"os"

	"github.com/spf13/cobra"
)

// usage display the command usage and exit the process (it never returns)
func usage(cmd *cobra.Command) {
	if err := cmd.Usage(); err != nil {
		Logger.Error().Msgf("Failed to print usage: %s", err)
	}
	os.Exit(1)
}
