// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package process

import (
	s "xbus.io/xbus/storage"
)

var ioStatusMatrix = [][]s.ProcessNodeStatus{

	// in:     pending            started                allstarted              closed                 done                  error
	// out:pending
	{s.ProcessNodeStatusPending, s.ProcessNodeActive, s.ProcessNodeActive, s.ProcessNodeUnreachable, s.ProcessNodeActive, s.ProcessNodeError},
	// out:started
	{s.ProcessNodeActive, s.ProcessNodeActive, s.ProcessNodeActive, s.ProcessNodeError, s.ProcessNodeActive, s.ProcessNodeError},
	// out:allStarted
	{s.ProcessNodeActive, s.ProcessNodeActive, s.ProcessNodeActive, s.ProcessNodeError, s.ProcessNodeActive, s.ProcessNodeError},
	// out:closed
	{s.ProcessNodeError, s.ProcessNodeActive, s.ProcessNodeActive, s.ProcessNodeUnreachable, s.ProcessNodeDone, s.ProcessNodeError},
	// out:done
	{s.ProcessNodeError, s.ProcessNodeActive, s.ProcessNodeActive, s.ProcessNodeError, s.ProcessNodeDone, s.ProcessNodeError},
	// out:error
	{s.ProcessNodeError, s.ProcessNodeError, s.ProcessNodeError, s.ProcessNodeError, s.ProcessNodeError, s.ProcessNodeError},
}

var requestorIOStatusMatrix = []s.ProcessNodeStatus{
	// out:pending
	s.ProcessNodeStatusPending,
	// out:started
	s.ProcessNodeActive,
	// out:allStarted
	s.ProcessNodeActive,
	// out:closed
	s.ProcessNodeError,
	// out:done
	s.ProcessNodeDone,
	// out:error
	s.ProcessNodeError,
}
