// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package storage

import (
	"context"
	"time"

	"xbus.io/go-xbus/v4/api"
	"xbus.io/go-xbus/v4/api/control"
)

// A LogStorage stores log entries and can return them
// given some filters
type LogStorage interface {
	Log(context.Context, *api.LogEntry)
	GetProcessMessages(ctx context.Context, processID api.UUID, level api.LogLevel) []*api.LogEntry
	PurgeBefore(context.Context, time.Time) int64
	Stat(context.Context) (*control.StorageStat_Entry, error)
}
