// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package model

import (
	"xbus.io/go-xbus/v4/api"
)

//go:generate yago --fmt

// Account holds identification information to let one connect to Xbus.
// yago:
type Account struct {
	Base
	Name      string                `yago:"unique_index=name"`
	Type      api.Account_Type      `yago:"textmarshaled"`
	Status    api.Account_Status    `yago:"textmarshaled"`
	CSR       string                `yago:"type=qb.Text()"`
	CSROrigin api.Account_CSROrigin `yago:"textmarshaled"`
	Cert      string                `yago:"type=qb.Text()"`
	APIKey    string                `yago:"."`
}
