// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package sql

import (
	"testing"

	"xbus.io/xbus/storage"
	"xbus.io/xbus/testutils"
	"xbus.io/xbus/testutils/sqldb"
	storagetest "xbus.io/xbus/testutils/storage"
)

func pipelineStorageFactory(tb testing.TB) (storage.PipelineStorage, func()) {
	tb.Helper()

	testDB := sqldb.GetTestDB(tb)
	if testDB == nil {
		return nil, nil
	}
	m, db := testDB.GetModelDB(1)

	return NewPipelineStorage(m, db, *testutils.GetTestLogger(tb).Zero()), func() {
		db.Close()
		testDB.Close()
	}
}

func TestPipelineStorage(t *testing.T) {
	storagetest.PipelineStorageTests(t, pipelineStorageFactory)
}
