package api

// IsZero returns true if the TimeRange is unset (ie is nil or has both To and
// From undefined
func (m *TimeRange) IsZero() bool {
	return m == nil || (m.From.GetSeconds() == 0 && m.To.GetSeconds() == 0)
}

func (x *Account) GetIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetID())
}

func (x *Actor) GetIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetID())
}

func (x *Actor) GetAccountIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetAccountID())
}

func (x *EnvelopeEvent) GetEnvelopeIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetEnvelopeID())
}

func (x *ProcessNodeReadyEvent) GetProcessIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetProcessID())
}

func (x *ProcessNodeReadyEvent) GetActorIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetActorID())
}

func (x *EmitterEnvelopeState) GetProcessIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetProcessID())
}

func (x *Event) GetIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetID())
}

func (x *Event) GetItemsAsItemSlice() []Item {
	return ChunksAsItems(x.GetItems())
}

func (x *EventPosition) GetEventIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetEventID())
}

func (x *AckResultRequest) GetProcessIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetProcessID())
}

func (x *GetEnvelopeStateRequest) GetIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetID())
}

func (x *EnvelopePosition) GetEnvelopeIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetEnvelopeID())
}

func (x *ProcessingContext) GetProcessIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetProcessID())
}

func (x *Envelope) GetIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetID())
}

func (x *Envelope) GetEventIDsAsUUIDSlice() UUIDSlice {
	return MustUUIDSliceFromBytesList(x.GetEventIDs())
}

func (x *EnvelopeAck) GetIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetID())
}

func (x *EnvelopeTarget) GetActorIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetActorID())
}

func (x *PipelineInfo) GetIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetID())
}

func (x *LogEntry) GetEnvelopeIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetEnvelopeID())
}

func (x *LogEntry) GetActorIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetActorID())
}

func (x *LogEntry) GetProcessIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetProcessID())
}

func (x *Process) GetIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetID())
}

func (x *Process) GetGroupIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetGroupID())
}

func (x *Process) GetTriggerEmitterIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetTriggerEmitterID())
}

func (x *Process) GetTriggerEnvelopeIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetTriggerEnvelopeID())
}

func (x *Process) GetPipelineIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetPipelineID())
}

func (x *Process) GetReplayOfAsUUID() UUID {
	return MustUUIDFromBytes(x.GetReplayOf())
}

func (x *ProcessFilter) GetIDAsUUIDSlice() UUIDSlice {
	return MustUUIDSliceFromBytesList(x.GetID())
}

func (x *ProcessFilter) GetGroupIDAsUUIDSlice() UUIDSlice {
	return MustUUIDSliceFromBytesList(x.GetGroupID())
}

func (x *ProcessFilter) GetTriggerEmitterIDAsUUIDSlice() UUIDSlice {
	return MustUUIDSliceFromBytesList(x.GetTriggerEmitterID())
}

func (x *ProcessFilter) GetTriggerEnvelopeIDAsUUIDSlice() UUIDSlice {
	return MustUUIDSliceFromBytesList(x.GetTriggerEnvelopeID())
}

func (x *ProcessFilter) GetPipelineIDAsUUIDSlice() UUIDSlice {
	return MustUUIDSliceFromBytesList(x.GetPipelineID())
}

func (x *ProcessFilter) GetEnvelopeIDAsUUIDSlice() UUIDSlice {
	return MustUUIDSliceFromBytesList(x.GetEnvelopeID())
}

func (x *ProcessFilter) GetReplayOfAsUUIDSlice() UUIDSlice {
	return MustUUIDSliceFromBytesList(x.GetReplayOf())
}

func (x *Registration) GetIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetID())
}

func (x *ActorLogRequest) GetEnvelopeIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetEnvelopeID())
}

func (x *ClientGetActorsRequest) GetActorIDAsUUID() UUID {
	return MustUUIDFromBytes(x.GetActorID())
}
